<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JaDOrT: JASMINe Deployment Orchestration Tool
  - Copyright (C) 2008-2009 Bull S.A.S.
  - Copyright (C) 2008-2009 France Telecom R&D
  - Contact: jasmine@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: pom.xml 4085 2009-06-18 14:41:06Z alitokmen $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

  <parent>
    <groupId>org.ow2</groupId>
    <artifactId>ow2</artifactId>
    <version>1.1</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.ow2.jasmine</groupId>
  <artifactId>jadort</artifactId>
  <packaging>pom</packaging>
  <version>1.4.0-M1</version>
  <name>JASMINe :: JaDOrT</name>

  <properties>
    <felix.configadmin.version>1.0.10</felix.configadmin.version>
    <felix.ipojo.version>1.2.0</felix.ipojo.version>

    <jaxb.version>2.1</jaxb.version>
    <jaxb-impl.version>2.1.9</jaxb-impl.version>
    <jaxb.plugin.version>0.6.3</jaxb.plugin.version>

    <ow2.easybeans.smartclient.version>1.0.2</ow2.easybeans.smartclient.version>
    <ow2.jasmine.deployme.version>1.0.5</ow2.jasmine.deployme.version>
    <ow2.jasmine.documentation.version>1.2.1-SNAPSHOT</ow2.jasmine.documentation.version>
    <ow2.jasmine.vmmapi.version>1.0.6</ow2.jasmine.vmmapi.version>
    <ow2.util.version>1.0.16</ow2.util.version>
    <ow2.util.bundles.version>1.0.15</ow2.util.bundles.version>

    <modjk.version>5.5.23</modjk.version>
  </properties>

  <modules>
    <module>${project.artifactId}-api</module>
    <module>${project.artifactId}-ejb</module>
    <module>${project.artifactId}-war</module>
    <module>${project.artifactId}-ear</module>
    <module>${project.artifactId}-console</module>
    <module>${project.artifactId}-documentation-and-samples</module>
    <module>${project.artifactId}-sources</module>
  </modules>

  <repositories>
    <repository>
      <id>maven2-repository.dev.java.net</id>
      <url>http://download.java.net/maven/2/</url>
    </repository>
  </repositories>

  <pluginRepositories>
    <pluginRepository>
      <id>maven2-repository.dev.java.net</id>
      <url>http://download.java.net/maven/2/</url>
    </pluginRepository>
  </pluginRepositories>

  <dependencies>
    <dependency>
      <groupId>args4j</groupId>
      <artifactId>args4j</artifactId>
      <version>2.0.8</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>commons-codec</groupId>
      <artifactId>commons-codec</artifactId>
      <version>1.1</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>commons-fileupload</groupId>
      <artifactId>commons-fileupload</artifactId>
      <version>1.2</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>commons-io</groupId>
      <artifactId>commons-io</artifactId>
      <version>1.4</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-jms_1.1_spec</artifactId>
      <version>1.1.1</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>javax.persistence</groupId>
      <artifactId>persistence-api</artifactId>
      <version>1.0</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>javax.transaction</groupId>
      <artifactId>jta</artifactId>
      <version>1.1</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>servlet-api</artifactId>
      <version>2.5</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>javax.xml.bind</groupId>
      <artifactId>jaxb-api</artifactId>
      <version>${jaxb.version}</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>jdom</groupId>
      <artifactId>jdom</artifactId>
      <version>1.0</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.4</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>log4j</groupId>
      <artifactId>log4j</artifactId>
      <version>1.2.14</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-ejb-3.0-spec</artifactId>
      <version>1.0.0</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.easybeans</groupId>
      <artifactId>easybeans-component-smartclient-client</artifactId>
      <version>${ow2.easybeans.smartclient.version}</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.jasmine</groupId>
      <artifactId>deployme-api</artifactId>
      <version>${ow2.jasmine.deployme.version}</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.jasmine</groupId>
      <artifactId>vmmapi</artifactId>
      <version>${ow2.jasmine.vmmapi.version}</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.util</groupId>
      <artifactId>util-ee-deploy-impl</artifactId>
      <version>${ow2.util.version}</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>tomcat</groupId>
      <artifactId>tomcat-jkstatus-ant</artifactId>
      <version>${modjk.version}</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>tomcat</groupId>
      <artifactId>tomcat-util</artifactId>
      <version>${modjk.version}</version>
      <scope>provided</scope>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <artifactId>maven-compiler-plugin
        </artifactId>
        <configuration>
          <source>1.5</source>
          <target>1.5</target>
        </configuration>
      </plugin>
    </plugins>
  </build>

  <scm>
    <connection>scm:svn:svn://svn.forge.objectweb.org/svnroot/jasmine/jadort/tags/1.4.0-M1</connection>
    <developerConnection>scm:svn:svn+ssh://${maven.username}@svn.forge.objectweb.org/svnroot/jasmine/jadort/tags/1.4.0-M1</developerConnection>
    <url>http://fisheye.jasmine.objectweb.org/browse/JASMINe/jadort/tags/1.4.0-M1</url>
  </scm>
</project>
